Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOutlineSource Class Reference

`#include <vtkOutlineSource.h>`

Inheritance diagram for vtkOutlineSource:

[legend]
Collaboration diagram for vtkOutlineSource:

[legend]
List of all members.

## Detailed Description

create wireframe outline around bounding box

Date:
  2002/01/22 15:29:32

Revision:
  1.34

vtkOutlineSource creates a wireframe outline around a user-specified bounding box.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (66%)
  - Martin, Ken (23%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkOutlineSource.h)`
  - .`cxx` (`/Graphics/vtkOutlineSource.cxx)`

Definition at line 42 of file vtkOutlineSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetBounds (float, float, float, float, float, float)
virtual void | SetBounds (float[6])
virtual float * | GetBounds ()
virtual void | GetBounds (float data[6])
## Static Public Methods
vtkOutlineSource * | New ()
int | IsTypeOf (const char *type)
vtkOutlineSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOutlineSource ()
| ~vtkOutlineSource ()
void | Execute ()
## Protected Attributes
float | Bounds [6]

## Member Typedef Documentation

typedef vtkPolyDataSource vtkOutlineSource::Superclass

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkOutlineCornerSource. Definition at line 46 of file vtkOutlineSource.h.

## Constructor & Destructor Documentation

vtkOutlineSource::vtkOutlineSource | ( |  | ) | `[protected]`

vtkOutlineSource::~vtkOutlineSource | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkOutlineSource.h.

## Member Function Documentation

vtkOutlineSource* vtkOutlineSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkOutlineCornerSource.

virtual const char* vtkOutlineSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkOutlineCornerSource.

int vtkOutlineSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkOutlineCornerSource.

virtual int vtkOutlineSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkOutlineCornerSource.

vtkOutlineSource* vtkOutlineSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkOutlineCornerSource.

void vtkOutlineSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource. Reimplemented in vtkOutlineCornerSource.

virtual void vtkOutlineSource::SetBounds | ( | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the bounding box for this object.

virtual void vtkOutlineSource::SetBounds | ( | float | [6] | ) | `[virtual]`

| Specify the bounding box for this object.

virtual float* vtkOutlineSource::GetBounds | ( |  | ) | `[virtual]`

| Specify the bounding box for this object.

virtual void vtkOutlineSource::GetBounds | ( | float | data[6] | ) | `[virtual]`

| Specify the bounding box for this object.

void vtkOutlineSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource. Reimplemented in vtkOutlineCornerSource.

## Member Data Documentation

float vtkOutlineSource::Bounds[6]`[protected]`

| Definition at line 60 of file vtkOutlineSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkOutlineSource.h